# Uses of Class
java.lang.SecurityManager

Packages that use SecurityManager
Package
Description
java.lang
Provides classes that are fundamental to the design of the Java programming language.
java.rmi
Provides the RMI package.

- ## Uses of SecurityManager in java.lang

  Methods in java.lang that return SecurityManager
  Modifier and Type
  Method
  Description
  `static SecurityManager`
  System.`getSecurityManager()`
  Deprecated, for removal: This API element is subject to removal in a future version.
  This method originally returned the system-wide Security Manager.
  Methods in java.lang with parameters of type SecurityManager
  Modifier and Type
  Method
  Description
  `static void`
  System.`setSecurityManager(SecurityManager sm)`
  Deprecated, for removal: This API element is subject to removal in a future version.
  This method originally set the system-wide Security Manager.

- ## Uses of SecurityManager in java.rmi

  Subclasses of SecurityManager in java.rmi
  Modifier and Type
  Class
  Description
  `class`
  `RMISecurityManager`
  Deprecated, for removal: This API element is subject to removal in a future version.
  There is no replacement for the Security Manager.